
From: Andi Kleen <ak@muc.de>

The i386 HPET time setup code would explicitely check for the Intel vendor
ID.  That is bogus because other chipset vendors (like AMD) are
implementing HPET too.  

Remove this check.



 arch/i386/kernel/time_hpet.c |    4 ----
 include/asm-i386/hpet.h      |    4 ----
 2 files changed, 8 deletions(-)

diff -puN arch/i386/kernel/time_hpet.c~remove-hpet-intel-check arch/i386/kernel/time_hpet.c
--- 25/arch/i386/kernel/time_hpet.c~remove-hpet-intel-check	2004-01-04 14:12:20.000000000 -0800
+++ 25-akpm/arch/i386/kernel/time_hpet.c	2004-01-04 14:12:20.000000000 -0800
@@ -91,10 +91,6 @@ int __init hpet_enable(void)
 	    !(id & HPET_ID_LEGSUP))
 		return -1;
 
-	if (((id & HPET_ID_VENDOR) >> HPET_ID_VENDOR_SHIFT) !=
-				HPET_ID_VENDOR_8086)
-		return -1;
-
 	hpet_period = hpet_readl(HPET_PERIOD);
 	if ((hpet_period < HPET_MIN_PERIOD) || (hpet_period > HPET_MAX_PERIOD))
 		return -1;
diff -puN include/asm-i386/hpet.h~remove-hpet-intel-check include/asm-i386/hpet.h
--- 25/include/asm-i386/hpet.h~remove-hpet-intel-check	2004-01-04 14:16:24.000000000 -0800
+++ 25-akpm/include/asm-i386/hpet.h	2004-01-04 14:17:25.000000000 -0800
@@ -54,14 +54,10 @@
 #define HPET_T2_CMP	0x148
 #define HPET_T2_ROUTE	0x150
 
-#define HPET_ID_VENDOR	0xffff0000
 #define HPET_ID_LEGSUP	0x00008000
 #define HPET_ID_NUMBER	0x00001f00
 #define HPET_ID_REV	0x000000ff
 
-#define HPET_ID_VENDOR_SHIFT	16
-#define HPET_ID_VENDOR_8086	0x8086
-
 #define HPET_CFG_ENABLE	0x001
 #define HPET_CFG_LEGACY	0x002
 

_
